%global python_package_src command_line_assistant
%global binary_name c
%global daemon_binary_name clad

Name:           command-line-assistant
Version:        0.1.0
Release:        1.20241127150520840698.pr47.9.g2bb8c2b%{?dist}
Summary:        A simple wrapper to interact with RAG

License:        Apache-2.0
URL:            https://github.com/rhel-lightspeed/command-line-assistant
Source0:        command-line-assistant-0.1.0.tar.gz
# noarch because there is no extension module for this package.
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# Needed by python3-dasbus
Requires:       python3-dasbus
Requires:       python3-requests

# Not needed after RHEL 10 as it is native in Python 3.11+
%if 0%{?rhel} && 0%{?rhel} < 10
BuildRequires:  python3-tomli
Requires:       python3-tomli
%endif

%description
A simple wrapper to interact with RAG

%prep
%autosetup -n command-line-assistant-0.1.0

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%license LICENSE
%{python3_sitelib}/%{python_package_src}/
%{python3_sitelib}/%{python_package_src}-*.egg-info/

# Binaries
%{_bindir}/%{binary_name}
%{_sbindir}/%{daemon_binary_name}

%changelog
* Wed Nov 27 2024 Packit <hello@packit.dev> - 0.1.0-1.20241127150520840698.pr47.9.g2bb8c2b
- Rework clad daemon units (Rodolfo Olivieri)
- Add dbus connections, definitions and more (Rodolfo Olivieri)
- Add dbus connections, definitions and more (Rodolfo Olivieri)
- Initial setup for clad (Rodolfo Olivieri)
- Add CODEOWNERS file (#52) (Rodolfo Olivieri)
- Remove container testing from pipeline (#51) (Martin "kokesak" Litwora)
- Add more test cases to cover the recent features (#34) (Rodolfo Olivieri)
- [RSPEED-299] Initial setup for clad (#40) (Rodolfo Olivieri)
- Update dependency coverage to v7.6.8 (#48) (renovate[bot])
